Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161788 - no valid window manager found when opening OpenOffice 1.9.104-1
Summary: no valid window manager found when opening OpenOffice 1.9.104-1
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-27 11:36 UTC by Thaddeus Nielsen
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 1.17.30-3.16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-19 09:45:13 UTC


Attachments (Terms of Use)

Description Thaddeus Nielsen 2005-06-27 11:36:09 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
Just installed selinux-policy-targeted-1.17.30-3.13.  Then tried to open OpenOffice 1.9.104.  Got error that no valid window manager was found.  As soon as I turned off enforcement of targeted policy, then I got into OpenOffice without incident.  This will likely surface when trying to open other software too.

Version-Release number of selected component (if applicable):
selinux-policy-targeted-1.17.30-3.13

How reproducible:
Always

Steps to Reproduce:
1.Install selinux-policy-targeted-1.17.30-3.13
2. Run soffice (best from terminal window in order to see error)
3.
  

Actual Results:  OpenOffice failed to open, gave error that no valid window manager was found

Expected Results:  OpenOffice opens easily when targeted policy enforcement is turned off.

Additional info:

Comment 1 Daniel Walsh 2005-06-27 11:53:07 UTC
This sounds like a labeling problem.  Are you seeing AVC messages in your log files?

Dan

Comment 2 Thaddeus Nielsen 2005-06-27 12:13:30 UTC
Well you may be onto something.  This is from my /var/log/messages after
installing the updated selinux-policy-targeted (what does this tell you?):

Jun 27 06:06:20 bookworm kernel: audit(1119870380.478:0): avc:  granted  {
load_policy } for  pid=3948 exe=/usr/sbin/load_policy
scontext=root:sysadm_r:unconfined_t tcontext=system_u:object_r:security_t
tclass=security
Jun 27 06:09:02 bookworm dbus: avc:  1 AV entries and 1/512 buckets used,
longest chain length 1
Jun 27 06:21:40 bookworm kernel: audit(1119871300.316:0): avc:  denied  {
execmod } for  pid=4401 comm=soffice.bin
path=/opt/openoffice.org1.9.109/program/libvclplug_gen680li.so.1.1 dev=dm-0
ino=1739293 scontext=user_u:system_r:unconfined_t
tcontext=system_u:object_r:shlib_t tclass=file


Comment 3 Thaddeus Nielsen 2005-06-29 23:10:18 UTC
Just installed selinux-policy-targeted-1.17.30-3.15 and then turned on targeted
policy enforcement.  Now openoffice opens up like a charm.  Thank you for your
work.  As far as I'm concerned, this "bug" is "fixed."

Comment 4 Daniel Walsh 2005-07-03 15:20:24 UTC
Fixed in selinux-policy-targeted-1.17.30-3.16

Comment 5 Walter Justen 2005-08-19 09:45:13 UTC
package update is public


Note You need to log in before you can comment on or make changes to this bug.